Subject: bug#65288: 30.0.93; Add a NEWS entry for `help-display-function-type'

From: Phil Sainty <[email-masked]>
Date: Wed, 08 Jan 2025 00:49:07 +1300

The new user option `help-display-function-type' enables the
"Inferred type" and "Declared type" specs to be hidden, but
I think it needs a NEWS item.

With the type information displayed so prominently and frequently,
I'm sure that a lot of users will be searching NEWS for the text
"Inferred type" and/or "Declared type" to find out why they've
started appearing; what they mean; and quite likely how to get
rid of them.